* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Inter', sans-serif;
    color: #000000;
}

.page-header {
    display: flex;
    justify-content: center;
    padding: 28px 0;
    background: #000000;
}

.header-logo {
    display: block;
}

.main-banner, 
.middle-banner {
    display: block;
    width: 100%;
}

.top-infocard {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 66px 0 186px;
    background: #FFFFFF;
}

.top-infocard-text {
    max-width: 766px;
}

.top-infocard-subtitle {
    text-transform: uppercase;
    text-align: center;
    font-weight: 400;
    font-size: 32px;
}

.top-infocard-title {
    margin-bottom: 24px;
    text-transform: uppercase;  
    text-align: center;
    font-weight: 500;
    font-size: 48px;
}

.top-infocard-description {
    text-align: justify;
    line-height: 24px;
    font-weight: 400;
    font-size: 16px;
    margin-bottom: 76px;
}

.top-infocard-image {
    display: block;
}

.top-cards {
    display: grid;
    grid-template-columns: repeat(3, max-content);
    gap: 20px;
    justify-content: center;
    background: #FFFFFF;
    margin-bottom: 80px;
}

.top-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 34px 26px 26px;
    background: #FFFFFF;
    box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.23);
}

.top-card-image {
    display: block;
    margin-bottom: 26px;
}

.top-card-description {
    max-width: 300px;   
    font-size: 16px;
    line-height: 24px;
    text-align: center; 
}

.rectangle {
    width: 100%;
    background: #E0E0E0;
    padding-bottom: 280px;
}

.middle-images-wrapper {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
    justify-content: center;
    padding: 64px 94px 280px;
    gap: 32px;
  
}

.middle-image {
    display: block;
    max-width: 556px;
    width: 100%;
    gap: 32px;
    align-items: center;
    justify-content: center;
}

.bottom-cards-wrapper {
    display: grid;
    grid-template-columns: repeat(4, max-content);
    justify-content: center;
    gap: 16px;
    background: #FFFFFF;
    padding: 280px;
}


.bottom-card {
    display: flex;
    flex-direction: column;
    max-width: 432px;
    padding: 0 76px;
    width: 100%;
    align-items: center;
    background: #FFFFFF;
    box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.23);
}

.bottom-card-image {
    display: block;
    margin-bottom: 26px;
    justify-content: center;
}

.bottom-card-description {
    max-width: 300px;   
    font-size: 16px;
    line-height: 24px;
    text-align: center; 
}

.bottom-infocard {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 66px 0 104px;
    background: #FFFFFF;
}

.bottom-infocard-text {
    max-width: 550px;
}

.bottom-infocard-title {
    margin-bottom: 24px;
    text-transform: uppercase;
    text-align: center;
    font-weight: 600;
    font-size: 32px;
    line-height: 20px;

}


.bottom-infocard-description {
    text-align: center;
    line-height: 24px;
    font-weight: 400;
    font-size: 16px;
    margin-bottom: 32px;
}

.bottom-infocard-image {
    display: block;
    max-width: 1360px;
    width: 100%;
}

.bottom-infocard-mobile {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 66px 0 104px;
    background: #FFFFFF;
}

.bottom-infocard-text-mobile {
    max-width: 550px;
}

.bottom-infocard-title-mobile {
    margin-bottom: 18px;
    text-transform: uppercase;
    text-align: center;
    font-weight: 600;
    font-size: 24px;
    line-height: 20px;

}

.bottom-infocard-description-mobile {
    text-align: center;
    line-height: 24px;
    font-weight: 400;
    font-size: 16px;
    margin-bottom: 32px;
}

.bottom-infocard-image-mobile {
    display: block;
    width: 100%;
    margin-bottom: 52px;
}

.page-footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    background: #000000;
    padding: 38px 0;
}

.footer-icons{
    display: flex;
    list-style: none;
    margin-bottom: 16px;
}

.footer-icon {
    margin: 0 8px;
}

.footer-text {
    font-size: 10px;
    line-height: 12px;
    text-transform: uppercase;
    color: #BDBDBD;
}










@media screen and (max-width: 414px) {
    .main-banner-desktop,
    .middle-banner-desktop,
    .middle-images-wrapper {
        display: none;
    }

    .rectangle {
        width: 100%;
    }

    .top-infocard-description {
        text-align: justify;
        line-height: 24px;
        font-weight: 400;
        font-size: 16px;
        margin-bottom: 76px;
        max-width: 248px;
    }

    .image-mobile-upper {
        max-width: 178px;
        display: block;
    
    }
}

@media screen and (min-width: 415px) {
    .main-banner-mobile,
    .middle-banner-mobile {
        display: none;
    }
}


@media screen and (max-width: 992px) {
    .middle-images-wrapper,
    .bottom-infocard {
        display: none;
    }

    .top-infocard {
        flex-direction: column;
        padding: 54px 26px 80px;
    }

    .top-infocard-text {
        margin: 0 0 68px;
    }

    .top-infocard-subtitle{
        font-size: 20px;
    }
    .top-infocard-title {
        margin-bottom: 20px;
        font-size: 28px;
    }

    .top-infocard-description {
        font-size: 16px;
    }

    .top-infocard-image {
        width: 100%;
        max-width: 240px;
    }

    .top-cards {
        display: flex;
        flex-direction: column;
        padding: 0 32px;
    }

    .rectangle {
        height: 484px;
        width: 100%;
    }

    .images-mobile-upper {
        display: flex;
        gap: 14px;
        justify-content: center;
        padding: 34px 26px;
    }

    .image-mobile-upper {
        max-width: 178px;
        width: 100%;
        display: block;
        
    }

    .images-mobile-below {
        display: flex;
        justify-content: center;
    }

    .image-mobile-below {
        max-width: 368px;
        display: block;
        justify-content: center;
    }

  .bottom-cards {
      padding: 0 26px;
  }
    .bottom-cards-wrapper {
        display: flex;
        flex-direction: column;
        justify-content: center;
        width: 368px;
        gap: 16px;
        padding: 202px 26px 0;
    }

    .footer-text {
        max-width: 280px;
        text-align: center;
    }



}

@media screen and (min-width: 993px) {
    .images-mobile,
    .bottom-infocard-mobile {
        display: none;
    }

    .rectangle {
        height: 442px;
        width: 100%;
    }

}

@media screen and (min-width: 993px) and (max-width: 1240px) {

    .top-cards {
        display: flex;
        width: 100%;
    }

    .rectangle {
        width: 100%;
    }

    .middle-images-wrapper {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        align-items: center;
        justify-content: center;
        padding: 64px 94px;
        gap: 32px;
      
    }
    
    .middle-image {
        display: flex;
        max-width: 556px;
        width: 300px;
        width: 100%;
        align-items: center;
        justify-content: center;
    }

    
    .bottom-cards-wrapper {
        display: grid;
        grid-template-columns: repeat(2, max-content);
        justify-content: center;
        gap: 20px;
    }

    .bottom-cards {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 0 24px;
    }

    
}